import java.util.Scanner;


public class Egor {

	public static void main(String[] args) throws Exception{
		Scanner in=new Scanner(System.in);
		System.out.println(Math.sqrt(in.nextLong() * 8 * Math.sqrt(3)));
		in.close();
	}
}

